Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Fri, 02 Jan 2009 08:52:08 +0100

>> 1. `tool-bar-mode' should be modal and affect all existing
 >> and subsequent frames, regardless of their default alist
 >> (`special-display-frame-alist', `pop-up-frame-alist', or
 >> `default-frame-alist').

Then why do you specify such alist entries in the first place?

 >> 2. `pop-up-frame-alist' should not be used for creating
 >> normal new frames.
[...]
 >> "Alist of frame parameters used when creating pop-up frames.
 >> Pop-up frames are used for completions, help, and the like.
 >> This variable can be set in your init file, like this:
 >>   (setq pop-up-frame-alist '((width . 80) (height . 20)))
 >> These supersede the values given in `default-frame-alist',
 >> for pop-up frames."

I shall clean up the docstring of `pop-up-frame-alist' to make clear
that it _is_ used for creating normal new frames.

 > I think the bug was introduced when someone translated the C code definition of
 > `display-buffer' to Lisp.

That someone was me and the bugs I introduced caused continuous crashes
of Emacs and many finance markets all over the world.  Let's hope for a
change then ...

martin